
Foreman - Bug #23026

Audits - changes to compute resource passwords are not audited

03/27/2018 12:10 PM - roman plevka

Status: Closed   

Priority: Normal   

Assignee: roman plevka   

Category: Audit Log   

Target version: 1.18.0   

Difficulty: trivial Fixed in Releases:  

Triaged:  Found in Releases: Nightly

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/5362

  

Description

easy fix: remove the :password from the audit exceptions.

The passwords come out [redacted] in the audits.

Related issues:

Related to Foreman - Bug #23024: Some sensitive fields are not audited instea... New 03/27/2018

Associated revisions

Revision 9dc411ae - 03/27/2018 03:09 PM - John Vagrant 

fixes #23026 - make changes to compute resource passwords audited

History

#1 - 03/27/2018 12:16 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/5362 added

#2 - 03/27/2018 03:10 PM - Tomer Brisker

- translation missing: en.field_release set to 330

#3 - 03/27/2018 04:02 PM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 9dc411ae61449b2f2b2e44d9d53ff43c5d976b85.

#4 - 04/03/2018 08:19 AM - Tomer Brisker

- Related to Bug #23024: Some sensitive fields are not audited instead of being audited as redacted added
